<%@ include file="../../common/controlheader.jsp" %>
<%--
//******************************************************************************
// File: event handler for "vtreenode" control
//******************************************************************************
--%>
<%
	String CONST_TREE_FIELD_DELIMITER = ": ";
	int debug = controlProperties.getInt("debug", 0);
	String CONST_RESTRICT_ACTION_ON_LEAFNODES = "LEAF_NODES";
	String CONST_RESTRICT_ACTION_ON_BRANCHNODES = "BRANCH_NODES";

	//Attributes defined at the tree control level
	String restrictactionon = controlProperties.getString("restrictactionon", "");
	
	//Attributes specified for this control (in xml)
	String objectname = controlProperties.getString(sessionContext, "objectname", "");
	String keyattribute = controlProperties.getString(sessionContext, "keyattribute", "");
	String keyvalue	= controlProperties.getString(sessionContext, "keyvalue", "");
	String returnattribute = controlProperties.getString(sessionContext, "returnattribute", "");
	boolean enablereturn = controlProperties.getBoolean("enablereturn", true);
	boolean enablecheckbox = controlProperties.getBoolean("enablecheckbox", true);
	boolean displaynodeimage = controlProperties.getBoolean("displaynodeimage", false);
	boolean displayobjectname = controlProperties.getBoolean("displayobjectname", true);
	boolean displaykeyattribute = controlProperties.getBoolean("displaykeyattribute", true);	
%>
<mro:handleevent eventtype="loadinit">
	<%
	//Properties specific for designmode
	String validElements[] = {"treeattribute"};
	control.setValidElements(validElements);
	%>
	<mro:loadglobalproperties />
	<mro:processchildren />
</mro:handleevent>

<mro:handleevent eventtype="render">
	<%
	if (designmode) {%>
		<%@ include file="../../common/designerevents.jsp" %>
		<%
		label = (control.getProperties()).getString("controltype") + "...";
		%>
		<div 
			tabindex="0" 
			id="<%= id%>" 
			control="true" controltype="vtreenode" 
			<%= control_events%> 
			class="vtreenode_designmode">
			<div>
				<img align="top" src="<%= IMAGE_PATH + "node_expanded.gif"%>" />
				<a href="" onmouseover="window.status='';return true;" onclick="return false;"><%= label%></a>
			</div>
			<div>
				<mro:processchildren />
			</div>
		</div>
	<%
	} else {
		String treeid = control.getParent().getProperties().getString(sessionContext, "id", "");
		AppInstance currApp = sessionContext.getCurrentApp();
		PageInstance currPage = currApp.getCurrentPage();
		Object[] mvd = (Object[])(currPage.get(treeid + "_" + "mvd"));
		boolean isMboValueData = (mvd instanceof psdi.mbo.MboValueData[]);
		
		String[] dataattributes = (String[]) currPage.get(treeid + "_" + "dataattributes");
		String settingsYValue = Utility.getSettingsProperty(sessionContext, "YES");
		
		if (mvd != null && mvd.length > 0) {
			String nodeobjectname      = null;
			String nodeuniqueid        = null;
			boolean nodehaschildren     = false;
			boolean nodehasparent       = false;
			boolean nodereadonly        = false;
			boolean nodecheckboxchecked = false;
			String  nodeimage           = null;
			String  nodelabel           = null;
			boolean nodecheckboxvisible = true;

			if (isMboValueData)	{
				nodeobjectname      = (mvd[0]!=null)?((MboValueData)mvd[0]).getData():"";				
				//issue 06-21293
				nodeuniqueid = (mvd[1]!=null)?((MboValueData)mvd[1]).getDataAsLong()+"" :"";						
				nodehaschildren     = (mvd[2]!=null)?((MboValueData)mvd[2]).getDataAsBoolean():false;
				nodehasparent       = (mvd[3]!=null)?((MboValueData)mvd[3]).getDataAsBoolean():false;
				nodereadonly        = (mvd[4]!=null)?((MboValueData)mvd[4]).getDataAsBoolean():false;
				nodecheckboxchecked = (mvd[5]!=null)?((MboValueData)mvd[5]).getDataAsBoolean():false;
				nodeimage           = (mvd[6]!=null)?((MboValueData)mvd[6]).getData():"";
				nodelabel           = (mvd[7]!=null)?((MboValueData)mvd[7]).getData():"";
				nodecheckboxvisible = (mvd[8]!=null)?((MboValueData)mvd[8]).getDataAsBoolean():true;
			}
			else {
				nodeobjectname      = (mvd[0]!=null)?mvd[0].toString():"";
				nodeuniqueid        = (mvd[1]!=null)?mvd[1].toString().replaceAll(",",""):"";								
				//issue 06-21293
				nodeuniqueid = nodeuniqueid.replaceAll("\\.","");								
				nodehaschildren     = (mvd[2]!=null)?((String)mvd[2].toString()).equalsIgnoreCase(settingsYValue):false;
				nodehasparent       = (mvd[3]!=null)?((String)mvd[3].toString()).equalsIgnoreCase(settingsYValue):false;
				nodereadonly        = (mvd[4]!=null)?((String)mvd[4].toString()).equalsIgnoreCase(settingsYValue):false;
				nodecheckboxchecked = (mvd[5]!=null)?((String)mvd[5].toString()).equalsIgnoreCase(settingsYValue):false;
				nodeimage           = (mvd[6]!=null)?mvd[6].toString():"";
				nodelabel           = (mvd[7]!=null)?mvd[7].toString():"";
				nodecheckboxvisible = (mvd[8]!=null)?((String)mvd[8].toString()).equalsIgnoreCase(settingsYValue):false;
			}
			nodelabel = nodelabel.replaceAll(" ", "&nbsp;");
			
			String nodestateimage = (nodehaschildren)?"node_collapsed.gif":"node_nochildren.gif";
			String nodeevent      = (nodehaschildren)?"togglechildren":"";
			String selectimage    = "vtree_select.gif";

			boolean handleaction = true;
			if (!Utility.isNull(restrictactionon)) {
				if( restrictactionon.equalsIgnoreCase(CONST_RESTRICT_ACTION_ON_BRANCHNODES)) {
					if (!nodehaschildren)
						handleaction = false;
				}
				else if(restrictactionon.equalsIgnoreCase(CONST_RESTRICT_ACTION_ON_LEAFNODES)) {
					if (nodehaschildren)
						handleaction = false;
				}
			}

			if (Utility.isNull(objectname) || nodeobjectname.equalsIgnoreCase(objectname)) {%>

				<div 
					tabindex="0" 
					id="<%=treeid + "_" + nodeobjectname + "_" + nodeuniqueid%>" 
					class="node" 
					mxpart="node" 
					objectname="<%= nodeobjectname%>" 
					keyattribute="<%= keyattribute%>" 
					keyvalue="<%= nodeuniqueid%>" 
					mxevent="<%= (handleaction)? "selectnode" : ""%>" 
					filterbarid="<%=(currentApp.getCurrentPage()).get("curFilterbar") %>" 
					childrencontainer="<%=treeid + "_" + nodeobjectname + "_" + nodeuniqueid%>_children">
					
					<span class="nodeheader">
						<img 
							tabindex="0" 
							id="<%=treeid + "_" + nodeobjectname + "_" + nodeuniqueid%>_state_image" 
							mxpart="stateimage" class="nodestateimage" 
							src="<%= IMAGE_PATH + nodestateimage%>" 
							objectname="<%= nodeobjectname%>" 
							keyattribute="<%= keyattribute%>" 
							keyvalue="<%= nodeuniqueid%>" 
							mxevent="<%= nodeevent%>" 
							childrencontainer="<%=treeid + "_" + nodeobjectname + "_" + nodeuniqueid%>_children"/>
							
						<%
						if(enablereturn && handleaction) {
							%>
							<img 
								tabindex="0" 
								id="<%=treeid + "_" + nodeobjectname + "_" + nodeuniqueid%>_select_image" 
								mxpart="selectimage" class="nodeselectimage" 
								src="<%= IMAGE_PATH + selectimage%>" 
								objectname="<%= nodeobjectname%>" 
								keyattribute="<%= keyattribute%>" 
								keyvalue="<%= nodeuniqueid%>" 
								mxevent="selectrecord" 
								childrencontainer="<%=treeid + "_" + nodeobjectname + "_" + nodeuniqueid%>_children"/>
						<%
						}
						if (enablecheckbox && handleaction) {
							String checkboximg = "vtree_unchecked.gif";
							if (!nodecheckboxvisible)
								checkboximg = "vtree_hidchecked.gif";
							else if (nodecheckboxchecked) {
								if (nodereadonly) 
									checkboximg = "vtree_halfchecked.gif";
								else
									checkboximg = "vtree_checked.gif";
							}
							%>
							<span class="vtreecheckbox">
								<img
									id="<%=treeid + "_" + nodeobjectname + "_" + nodeuniqueid%>_checkbox" 
									mxpart="checkboximage" class="vtreecheckboximage"
									src="<%=IMAGE_PATH%><%=checkboximg%>"
									objectname="<%= nodeobjectname%>" 
									keyattribute="<%= keyattribute%>" 
									keyvalue="<%= nodeuniqueid%>" 
									mxevent="vtreeclickcheckbox" 
									childrencontainer="<%=treeid + "_" + nodeobjectname + "_" + nodeuniqueid%>_children"/
									onclick="vTree_Checkbox_onclick(<%=treeid%>, id)"
									onchange="shared_onchange(this)"
									ondeactivate=" shared_ondeactivate(this)"
									onfocus="shared_onfocus(this)"
									onkeydown="shared_onkeydown(this)"
									oncontextmenu="shared_oncontextmenu(this)"/>
							</span>
						<%
						}
						if (displaynodeimage){
							if (nodeimage.equals("")) nodeimage = "vtree_mxstate_clear.gif";
							%>
							<img
								id="<%=treeid + "_" + nodeobjectname + "_" + nodeuniqueid%>_node_image" 
								mxpart="nodeimage" class="nodeimage" 
								src="<%= IMAGE_PATH + nodeimage%>"/>
						<%
						}
			
						psdi.plusa.webclient.beans.common.PlusATreeControlBean dataBean = (psdi.plusa.webclient.beans.common.PlusATreeControlBean)Utility.getDataSource(sessionContext, control.getParent());
						// if this is the selected node, make it look that way
						String nodenameClass = "nodename";
						if(!Utility.isNull(dataBean.getSelectedNodeID()) && dataBean.getSelectedNodeID().equals(nodeuniqueid))
						{
							nodenameClass = "nodename_selected";
						}
						%>
						<span class="<%=nodenameClass %>" id="<%=treeid + "_" + nodeobjectname + "_" + nodeuniqueid%>_nodename"><%=nodelabel%></span>
					</span>
					<div
						id="<%=treeid + "_" + nodeobjectname + "_" + nodeuniqueid%>_children" 
						class="nodechildren"
						mxpart="nodechildren"
						style="display:none">
					</div>
				</div>
			<%
			}
			
			// expand any nodes previously opened.
			if ( !Utility.isNull( (String)(currentApp.getCurrentPage()).get(treeid + "_statuscache") ) )
			{
				String statuscache = (String)(currentApp.getCurrentPage()).get(treeid + "_statuscache");
				if(statuscache.indexOf("," + treeid + "_" + nodeobjectname + "_" + nodeuniqueid + ",") > -1)
				{
				%>
					<script>
						parent.sendEvent("getchildren", "<%=treeid%>", "<%=nodeuniqueid%>", "<%=nodeobjectname%>");
					</script>
				<%
				}
			}
		}	
	}
	%>
</mro:handleevent>

<mro:handleevent eventtype="rerendercontrol">
	<%(control.getParent()).handleEvent(currentEvent);%>
</mro:handleevent>

<mro:handleevent eventtype="renderfilterbar">
<%
	String curFilterbar = (String)(currentApp.getCurrentPage()).get("curFilterbar");
	int FB_PARENTOBJ = 0;
	int FB_PARENTID = 1;
	int FB_RECORD_INDEX = 2;
	int FB_PAGE_STATE = 3;
	int FB_FILTER_FIELDS = 4;
	int FB_SORT_ATTR = 5;
	int FB_SORT_ASC = 6;
	int FB_AT_FIRST = 7;
	int FB_AT_LAST = 8;
	int FB_EXPANDED = 9;
	int FB_QBE_VALS = 10;
	int FB_SORT_LABELS = 11;
	
	if(curFilterbar != null)
	{
		String[] fbState = (String[])(currentApp.getCurrentPage()).get(curFilterbar);
		if(fbState != null)
		{
			String baseid = curFilterbar;
			String filterFields = fbState[FB_FILTER_FIELDS];
			String qbeValues = fbState[FB_QBE_VALS];
			qbeValues = ((qbeValues == null) ? "" : qbeValues);
			String parentobjectname = fbState[FB_PARENTOBJ];
			String parentuniqueid = fbState[FB_PARENTID];
			String recordindex = fbState[FB_RECORD_INDEX];
			String sortattribute = fbState[FB_SORT_ATTR];
			String sortascending = fbState[FB_SORT_ASC];
			String pageState = fbState[FB_PAGE_STATE];
			String sortlabels = fbState[FB_SORT_LABELS];

			String[] ff = filterFields.split(",");
			String[] qv = qbeValues.split(",");
			String[] sa = ((sortattribute.equals("")) ? null : sortattribute.split(","));
			String[] sl = sortlabels.split(",");
			String[] sv = sortascending.split(",");
			String textid = "";
			String qval = "";
		%>
			<div 
				tabindex="0" 
				id="<%=baseid %>"
				mxpart="filterbar" 
				mxevent="donothing" 
				parentobjectname="<%=parentobjectname %>"
				parentuniqueid="<%=parentuniqueid %>"
				recordindex="<%=recordindex %>" 
				sortattribute="<%=sortattribute %>" 
				sortascending="<%=sortascending %>" 
				attributelist="<%=filterFields %>" 
				qbelist="<%=qbeValues %>" 
				textidbase="<%=baseid %>">
		
				<%
					String fitlerbarid = baseid;
					String altOpenFilter = "Open Filter";
					String altCloseFilter = "Close Filter";
					String altFilterTable = "Filter Table";
					String altClearFilter = "Clear Filter Fields";
					String TABLE_FILTER_TOOLTIP = "_filter_tooltip";
					String TABLE_FILTER_ICON = "_filter_icon";
					String filterOnIcon = IMAGE_PATH + "tablebtn_filter_on.gif";
					String filterOffIcon = IMAGE_PATH + "tablebtn_filter_off.gif";
					String filterlabel = Utility.getMaxMessage(sessionContext, "plusavtree", "filter").getMessage();
		
					boolean filterexpanded = fbState[FB_EXPANDED].equals("true");
					boolean isFiltered = true;
					boolean expanded = false;
					boolean collapsed = true;
					boolean atFirstPage = fbState[FB_AT_FIRST].equals("true");
					boolean atLastPage = fbState[FB_AT_LAST].equals("true");
					boolean atFirstRow = true;
					boolean atLastRow = false;
					boolean filterExpanded = false;
					boolean detailsExpanded = false;
					boolean rowdetailsexpanded = false;
					boolean rowsFiltered = false;
					boolean allRowsSelected = false;
					boolean usesubselection = false;
					boolean subselectionon = false;
					
					String width = "60%";
				%>
				
				<div 
					nowrap="true" 
					class="table "
					control="true" 
					controltype="table"
					id="<%= fitlerbarid%>_fbtop" 
					cellpadding="0" 
					cellspacing="0" 
					mxpart="filterbarprev1" 
					<%= (!width.equals(""))? "style=\"width:" + width + "\"":""%> 
					>
						<%@ include file="filterbarheader.jsp" %>
				</div>
				<div 
					nowrap="true" 
					class="table "
					style="<%= ((filterexpanded) ? "display:inline" : "display:none") %>"
					control="true" 
					controltype="table"
					id="<%= fitlerbarid%>_fbbody" 
					cellpadding="0" 
					cellspacing="0" 
					mxpart="filterbarprev1" 
					<%= (!width.equals(""))? "style=\"width:" + width + "\"":""%> 
					>
						<%@ include file="filterbarbody.jsp" %>
				</div>
			</div>
<% 
		} 
	}
%>
</mro:handleevent>