--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PARENT','PLUSASAONOFF','PLUSASAONOFF','assetid = :assetid and parentassetid is not null and ontime <= :asofdate','Relationship to find the Install / Remote History for the Asset where the Install occurred on or before the As Of Date.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PARENTASSET','PLUSASAONOFF','ASSET','assetid = :parentassetid','Relationship to find the Asset of the Parent installed to.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSACMMODEL','ASSET','PLUSACMMODEL','plusacmmodelid = :plusamodelid','Relationship to find the Model for an Asset.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSACMCONFIG','ASSET','PLUSACMCONFIG','plusacmconfigid = :plusaconfigid','Relationship to find the Variation for an Asset.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('CHILD','PLUSASAONOFF','PLUSASAONOFF','parentassetid = :assetid and assetid is not null and ontime <= :asofdate','Relationship to find the Install / Remote History for the Asset''s Children where the Install occurred on or before the As Of Date.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('ASSET','PLUSASAONOFF','ASSET','assetid = :assetid','Relationship to find the Asset Installed to Parent.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date the Asset was Installed', TITLE = 'On Date'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'ONTIME'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date the Asset was Installed', TITLE = 'On Date'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'ONTIME'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date the Asset was Removed', TITLE = 'Off Date'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'OFFTIME'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date the Asset was Removed', TITLE = 'Off Date'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'OFFTIME'
;

UPDATE MAXOBJECT
      SET CLASSNAME = 'psdi.plusa.app.asset.PlusAMeterReadingSet'
      WHERE OBJECTNAME = 'METERREADING'
;

UPDATE MAXOBJECTCFG
      SET CLASSNAME = 'psdi.plusa.app.asset.PlusAMeterReadingSet'
      WHERE OBJECTNAME = 'METERREADING'
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'METERREADING','PLUSATOTAL',NULL,NULL,'PLUSATOTAL',NULL,990,'DECIMAL',15,2,0,0,'METERREADING','READING',1,0,'The sum of meter readings to the Count Date',NULL,'Total',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'METERREADING','PLUSATOTAL',NULL,NULL,'PLUSATOTAL',NULL,990,'DECIMAL',15,2,0,0,'METERREADING','READING',1,0,'The sum of meter readings to the Count Date',NULL,'Total',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

COMMIT
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = NULL, SAMEASATTRIBUTE = NULL
      WHERE SAMEASOBJECT = 'PLUSASAASSETCAT'
            AND SAMEASATTRIBUTE = 'PERSONUID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = NULL, SAMEASATTRIBUTE = NULL
      WHERE SAMEASOBJECT = 'PLUSASAASSETCAT'
            AND SAMEASATTRIBUTE = 'PERSONUID'
;

DELETE FROM MAXATTRIBUTE
      WHERE OBJECTNAME = 'PLUSASAASSETCAT'
;

DELETE FROM MAXATTRIBUTECFG
      WHERE OBJECTNAME = 'PLUSASAASSETCAT'
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAASSETCAT','PLUSASAASSETCATID','PLUSASAASSETCAT','PLUSASAASSETCATID','PLUSASAASSETCATID',NULL,1,'INTEGER',12,0,1,0,NULL,NULL,1,1,'Unique Id',NULL,'Unique Id',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAASSETCAT','CATID','PLUSASAASSETCAT','CATID','CATID',NULL,2,'INTEGER',12,0,0,0,NULL,NULL,0,0,'Cat ID',NULL,'Cat ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAASSETCAT','TRANSTIME','PLUSASAASSETCAT','TRANSTIME','TRANSTIME',NULL,3,'DATETIME',10,0,0,0,NULL,NULL,0,0,'Trans Time',NULL,'Trans Time',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAASSETCAT','COMMENTSTEXT','PLUSASAASSETCAT','COMMENTSTEXT','COMMENTSTEXT',NULL,4,'ALN',4000,0,0,0,NULL,NULL,0,0,'Comments Text',NULL,'Comments',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAASSETCAT','ASSETID','PLUSASAASSETCAT','ASSETID','ASSETID',NULL,5,'INTEGER',12,0,0,0,'ASSET','ASSETID',0,0,'Asset ID',NULL,'Asset ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAASSETCAT','PLUSASAASSETCATID','PLUSASAASSETCAT','PLUSASAASSETCATID','PLUSASAASSETCATID',NULL,1,'INTEGER',12,0,1,0,NULL,NULL,1,1,'Unique Id',NULL,'Unique Id',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAASSETCAT','CATID','PLUSASAASSETCAT','CATID','CATID',NULL,2,'INTEGER',12,0,0,0,NULL,NULL,0,0,'Cat ID',NULL,'Cat ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAASSETCAT','TRANSTIME','PLUSASAASSETCAT','TRANSTIME','TRANSTIME',NULL,3,'DATETIME',10,0,0,0,NULL,NULL,0,0,'Trans Time',NULL,'Trans Time',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAASSETCAT','COMMENTSTEXT','PLUSASAASSETCAT','COMMENTSTEXT','COMMENTSTEXT',NULL,4,'ALN',4000,0,0,0,NULL,NULL,0,0,'Comments Text',NULL,'Comments',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAASSETCAT','ASSETID','PLUSASAASSETCAT','ASSETID','ASSETID',NULL,5,'INTEGER',12,0,0,0,'ASSET','ASSETID',0,0,'Asset ID',NULL,'Asset ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAASSETCAT','PERSONID','PLUSASAASSETCAT','PERSONID','PERSONID',NULL,6,'UPPER',30,0,0,0,'PERSON','PERSONID',0,0,'Person ID',NULL,'Person ID',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAASSETCAT','PERSONID','PLUSASAASSETCAT','PERSONID','PERSONID',NULL,6,'UPPER',30,0,0,0,'PERSON','PERSONID',0,0,'Person ID',NULL,'Person ID',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = NULL, SAMEASATTRIBUTE = NULL
      WHERE SAMEASOBJECT = 'PLUSASAASSETSN'
            AND SAMEASATTRIBUTE = 'PERSONUID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = NULL, SAMEASATTRIBUTE = NULL
      WHERE SAMEASOBJECT = 'PLUSASAASSETSN'
            AND SAMEASATTRIBUTE = 'PERSONUID'
;

DELETE FROM MAXATTRIBUTE
      WHERE OBJECTNAME = 'PLUSASAASSETSN'
;

DELETE FROM MAXATTRIBUTECFG
      WHERE OBJECTNAME = 'PLUSASAASSETSN'
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAASSETSN','PLUSASAASSETSNID','PLUSASAASSETSN','PLUSASAASSETSNID','PLUSASAASSETSNID',NULL,1,'INTEGER',12,0,1,0,NULL,NULL,1,1,'Unique Id',NULL,'Unique Id',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAASSETSN','SERIAL','PLUSASAASSETSN','SERIAL','SERIAL',NULL,2,'ALN',24,0,0,0,NULL,NULL,0,0,'Serial',NULL,'Serial',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAASSETSN','TRANSTIME','PLUSASAASSETSN','TRANSTIME','TRANSTIME',NULL,3,'DATETIME',10,0,0,0,NULL,NULL,0,0,'Trans Time',NULL,'Trans Time',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAASSETSN','COMMENTSTEXT','PLUSASAASSETSN','COMMENTSTEXT','COMMENTSTEXT',NULL,4,'ALN',4000,0,0,0,NULL,NULL,0,0,'Comments Text',NULL,'Comments',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAASSETSN','ASSETID','PLUSASAASSETSN','ASSETID','ASSETID',NULL,5,'INTEGER',12,0,0,0,'ASSET','ASSETID',0,0,'Asset ID',NULL,'Asset ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAASSETSN','PLUSASAASSETSNID','PLUSASAASSETSN','PLUSASAASSETSNID','PLUSASAASSETSNID',NULL,1,'INTEGER',12,0,1,0,NULL,NULL,1,1,'Unique Id',NULL,'Unique Id',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAASSETSN','SERIAL','PLUSASAASSETSN','SERIAL','SERIAL',NULL,2,'ALN',24,0,0,0,NULL,NULL,0,0,'Serial',NULL,'Serial',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAASSETSN','TRANSTIME','PLUSASAASSETSN','TRANSTIME','TRANSTIME',NULL,3,'DATETIME',10,0,0,0,NULL,NULL,0,0,'Trans Time',NULL,'Trans Time',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAASSETSN','COMMENTSTEXT','PLUSASAASSETSN','COMMENTSTEXT','COMMENTSTEXT',NULL,4,'ALN',4000,0,0,0,NULL,NULL,0,0,'Comments Text',NULL,'Comments',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAASSETSN','ASSETID','PLUSASAASSETSN','ASSETID','ASSETID',NULL,5,'INTEGER',12,0,0,0,'ASSET','ASSETID',0,0,'Asset ID',NULL,'Asset ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAASSETSN','PERSONID','PLUSASAASSETSN','PERSONID','PERSONID',NULL,6,'UPPER',30,0,0,0,'PERSON','PERSONID',0,0,'Person ID',NULL,'Person ID',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAASSETSN','PERSONID','PLUSASAASSETSN','PERSONID','PERSONID',NULL,6,'UPPER',30,0,0,0,'PERSON','PERSONID',0,0,'Person ID',NULL,'Person ID',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = NULL, SAMEASATTRIBUTE = NULL
      WHERE SAMEASOBJECT = 'PLUSASAEICONFIG'
            AND SAMEASATTRIBUTE = 'PERSONUID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = NULL, SAMEASATTRIBUTE = NULL
      WHERE SAMEASOBJECT = 'PLUSASAEICONFIG'
            AND SAMEASATTRIBUTE = 'PERSONUID'
;

DELETE FROM MAXATTRIBUTE
      WHERE OBJECTNAME = 'PLUSASAEICONFIG'
;

DELETE FROM MAXATTRIBUTECFG
      WHERE OBJECTNAME = 'PLUSASAEICONFIG'
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEICONFIG','PLUSASAEICONFIGID','PLUSASAEICONFIG','PLUSASAEICONFIGID','PLUSASAEICONFIGID',NULL,1,'INTEGER',12,0,1,0,NULL,NULL,1,1,'Unique Id',NULL,'Unique Id',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEICONFIG','MODELID','PLUSASAEICONFIG','MODELID','MODELID',NULL,2,'INTEGER',12,0,0,0,NULL,NULL,0,0,'Model ID',NULL,'Model ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEICONFIG','CONFIGID','PLUSASAEICONFIG','CONFIGID','CONFIGID',NULL,3,'INTEGER',12,0,0,0,NULL,NULL,0,0,'Config ID',NULL,'Config ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEICONFIG','REVISIONID','PLUSASAEICONFIG','REVISIONID','REVISIONID',NULL,4,'INTEGER',12,0,0,0,NULL,NULL,0,0,'Revision ID',NULL,'Revision ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEICONFIG','TRANSTIME','PLUSASAEICONFIG','TRANSTIME','TRANSTIME',NULL,5,'DATETIME',10,0,0,0,NULL,NULL,0,0,'Trans Time',NULL,'Trans Time',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEICONFIG','COMMENTSTEXT','PLUSASAEICONFIG','COMMENTSTEXT','COMMENTSTEXT',NULL,6,'ALN',4000,0,0,0,NULL,NULL,0,0,'Comments Text',NULL,'Comments',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEICONFIG','ASSETID','PLUSASAEICONFIG','ASSETID','ASSETID',NULL,7,'INTEGER',12,0,0,0,'ASSET','ASSETID',0,0,'Asset ID',NULL,'Asset ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEICONFIG','PLUSASAEICONFIGID','PLUSASAEICONFIG','PLUSASAEICONFIGID','PLUSASAEICONFIGID',NULL,1,'INTEGER',12,0,1,0,NULL,NULL,1,1,'Unique Id',NULL,'Unique Id',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEICONFIG','MODELID','PLUSASAEICONFIG','MODELID','MODELID',NULL,2,'INTEGER',12,0,0,0,NULL,NULL,0,0,'Model ID',NULL,'Model ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEICONFIG','CONFIGID','PLUSASAEICONFIG','CONFIGID','CONFIGID',NULL,3,'INTEGER',12,0,0,0,NULL,NULL,0,0,'Config ID',NULL,'Config ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEICONFIG','REVISIONID','PLUSASAEICONFIG','REVISIONID','REVISIONID',NULL,4,'INTEGER',12,0,0,0,NULL,NULL,0,0,'Revision ID',NULL,'Revision ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEICONFIG','TRANSTIME','PLUSASAEICONFIG','TRANSTIME','TRANSTIME',NULL,5,'DATETIME',10,0,0,0,NULL,NULL,0,0,'Trans Time',NULL,'Trans Time',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEICONFIG','COMMENTSTEXT','PLUSASAEICONFIG','COMMENTSTEXT','COMMENTSTEXT',NULL,6,'ALN',4000,0,0,0,NULL,NULL,0,0,'Comments Text',NULL,'Comments',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEICONFIG','ASSETID','PLUSASAEICONFIG','ASSETID','ASSETID',NULL,7,'INTEGER',12,0,0,0,'ASSET','ASSETID',0,0,'Asset ID',NULL,'Asset ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEICONFIG','PERSONID','PLUSASAEICONFIG','PERSONID','PERSONID',NULL,8,'UPPER',30,0,0,0,'PERSON','PERSONID',0,0,'Person ID',NULL,'Person ID',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEICONFIG','PERSONID','PLUSASAEICONFIG','PERSONID','PERSONID',NULL,8,'UPPER',30,0,0,0,'PERSON','PERSONID',0,0,'Person ID',NULL,'Person ID',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = NULL, SAMEASATTRIBUTE = NULL
      WHERE SAMEASOBJECT = 'PLUSASAEIREG'
            AND SAMEASATTRIBUTE = 'PERSONUID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = NULL, SAMEASATTRIBUTE = NULL
      WHERE SAMEASOBJECT = 'PLUSASAEIREG'
            AND SAMEASATTRIBUTE = 'PERSONUID'
;

DELETE FROM MAXATTRIBUTE
      WHERE OBJECTNAME = 'PLUSASAEIREG'
;

DELETE FROM MAXATTRIBUTECFG
      WHERE OBJECTNAME = 'PLUSASAEIREG'
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEIREG','PLUSASAEIREGID','PLUSASAEIREG','PLUSASAEIREGID','PLUSASAEIREGID',NULL,1,'INTEGER',12,0,1,0,NULL,NULL,1,1,'Unique Id',NULL,'Unique Id',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEIREG','REGISTRATION','PLUSASAEIREG','REGISTRATION','REGISTRATION',NULL,2,'ALN',20,0,0,0,NULL,NULL,0,0,'Registration',NULL,'Registration',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEIREG','TRANSTIME','PLUSASAEIREG','TRANSTIME','TRANSTIME',NULL,3,'DATETIME',10,0,0,0,NULL,NULL,0,0,'Trans Time',NULL,'Trans Time',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEIREG','COMMENTSTEXT','PLUSASAEIREG','COMMENTSTEXT','COMMENTSTEXT',NULL,4,'ALN',4000,0,0,0,NULL,NULL,0,0,'Comments Text',NULL,'Comments',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEIREG','ASSETID','PLUSASAEIREG','ASSETID','ASSETID',NULL,5,'INTEGER',12,0,0,0,'ASSET','ASSETID',0,0,'Asset ID',NULL,'Asset ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEIREG','PLUSASAEIREGID','PLUSASAEIREG','PLUSASAEIREGID','PLUSASAEIREGID',NULL,1,'INTEGER',12,0,1,0,NULL,NULL,1,1,'Unique Id',NULL,'Unique Id',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEIREG','REGISTRATION','PLUSASAEIREG','REGISTRATION','REGISTRATION',NULL,2,'ALN',20,0,0,0,NULL,NULL,0,0,'Registration',NULL,'Registration',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEIREG','TRANSTIME','PLUSASAEIREG','TRANSTIME','TRANSTIME',NULL,3,'DATETIME',10,0,0,0,NULL,NULL,0,0,'Trans Time',NULL,'Trans Time',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEIREG','COMMENTSTEXT','PLUSASAEIREG','COMMENTSTEXT','COMMENTSTEXT',NULL,4,'ALN',4000,0,0,0,NULL,NULL,0,0,'Comments Text',NULL,'Comments',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEIREG','ASSETID','PLUSASAEIREG','ASSETID','ASSETID',NULL,5,'INTEGER',12,0,0,0,'ASSET','ASSETID',0,0,'Asset ID',NULL,'Asset ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEIREG','PERSONID','PLUSASAEIREG','PERSONID','PERSONID',NULL,6,'UPPER',30,0,0,0,'PERSON','PERSONID',0,0,'Person ID',NULL,'Person ID',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAEIREG','PERSONID','PLUSASAEIREG','PERSONID','PERSONID',NULL,6,'UPPER',30,0,0,0,'PERSON','PERSONID',0,0,'Person ID',NULL,'Person ID',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXOBJECT (OBJECTNAME,CLASSNAME,DESCRIPTION,EAUDITENABLED,EAUDITFILTER,ENTITYNAME,ESIGFILTER,EXTENDSOBJECT,ISVIEW,IMPORTED,PERSISTENT,SERVICENAME,SITEORGTYPE,USERDEFINED,MAINOBJECT,INTERNAL,MAXOBJECTID) VALUES ('PLUSASAINDIRECT','psdi.plusa.app.plusasa.virtual.PlusASAIndirectSet','Readings Summary',0,NULL,NULL,NULL,NULL,0,0,0,'ASSET','SYSTEM',0,0,0,NEXTVAL FOR MAXOBJECTSEQ)
;

INSERT INTO MAXOBJECTCFG (OBJECTNAME,CLASSNAME,DESCRIPTION,EAUDITENABLED,EAUDITFILTER,ENTITYNAME,ESIGFILTER,EXTENDSOBJECT,ISVIEW,IMPORTED,PERSISTENT,SERVICENAME,SITEORGTYPE,USERDEFINED,CHANGED,MAINOBJECT,INTERNAL,MAXOBJECTID) VALUES ('PLUSASAINDIRECT','psdi.plusa.app.plusasa.virtual.PlusASAIndirectSet','Readings Summary',0,NULL,NULL,NULL,NULL,0,0,0,'ASSET','SYSTEM',0,'N',0,0,NEXTVAL FOR MAXOBJECTCFGSEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAINDIRECT','ONDATE',NULL,NULL,'ONDATE',NULL,1,'DATETIME',10,0,0,0,NULL,NULL,1,0,'Date the Asset was Installed to the Parent',NULL,'On Date',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAINDIRECT','OFFDATE',NULL,NULL,'OFFDATE',NULL,2,'DATETIME',10,0,0,0,NULL,NULL,1,0,'Date the Asset was Removed from the Parent',NULL,'Off Date',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAINDIRECT','PARENTASSETID',NULL,NULL,'PARENTASSETID',NULL,3,'INTEGER',12,0,0,0,'ASSET','ASSETID',0,0,'AssetID of the Parent installed to',NULL,'Asset ID',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAINDIRECT','METER',NULL,NULL,'METER',NULL,4,'UPPER',10,0,0,0,'METER','METERNAME',0,0,'Asset Meter',NULL,'Meter',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAINDIRECT','TYPE',NULL,NULL,'TYPE',NULL,5,'ALN',16,0,0,0,NULL,NULL,0,0,'Type on Reading (Anchor, Indirect or Direct)',NULL,'Type',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAINDIRECT','COUNT',NULL,NULL,'COUNT',NULL,6,'DECIMAL',15,2,0,0,'METERREADING','READING',1,0,'Anchor Count for Anchor types or Sum of MeterReadings up the Hierarchy for Indirect types or Sum of Meter Readings to the Asset for Direct types',NULL,'Count',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAINDIRECT','TOTAL',NULL,NULL,'TOTAL',NULL,7,'DECIMAL',15,2,0,0,'METERREADING','READING',1,0,'Total of all three types for the table row',NULL,'Total',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAINDIRECT','ONDATE',NULL,NULL,'ONDATE',NULL,1,'DATETIME',10,0,0,0,NULL,NULL,1,0,'Date the Asset was Installed to the Parent',NULL,'On Date',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAINDIRECT','OFFDATE',NULL,NULL,'OFFDATE',NULL,2,'DATETIME',10,0,0,0,NULL,NULL,1,0,'Date the Asset was Removed from the Parent',NULL,'Off Date',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAINDIRECT','PARENTASSETID',NULL,NULL,'PARENTASSETID',NULL,3,'INTEGER',12,0,0,0,'ASSET','ASSETID',0,0,'AssetID of the Parent installed to',NULL,'Asset ID',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAINDIRECT','METER',NULL,NULL,'METER',NULL,4,'UPPER',10,0,0,0,'METER','METERNAME',0,0,'Asset Meter',NULL,'Meter',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAINDIRECT','TYPE',NULL,NULL,'TYPE',NULL,5,'ALN',16,0,0,0,NULL,NULL,0,0,'Type on Reading (Anchor, Indirect or Direct)',NULL,'Type',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAINDIRECT','COUNT',NULL,NULL,'COUNT',NULL,6,'DECIMAL',15,2,0,0,'METERREADING','READING',1,0,'Anchor Count for Anchor types or Sum of MeterReadings up the Hierarchy for Indirect types or Sum of Meter Readings to the Asset for Direct types',NULL,'Count',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAINDIRECT','TOTAL',NULL,NULL,'TOTAL',NULL,7,'DECIMAL',15,2,0,0,'METERREADING','READING',1,0,'Total of all three types for the table row',NULL,'Total',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('BUILD','PLUSASAONOFF','PLUSASAONOFF','parentassetid = :parentassetid and assetid is not null and lcn = :lcn and alc = :alc and ontime <= :asofdate','Relationship to find the Install / Remote History for all the Assets that were installed into the selected Build Position where the Install occurred on or before the As Of Date.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSASAINDIRECT','PLUSASAONOFF','PLUSASAINDIRECT',NULL,'Relationship to find the the total of Anchors, Indirect Readings and Direct Readings for each Meter.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PARENT','PLUSASAINDIRECT','ASSET','assetid = :parentassetid','Relationship to find the the Parent installed to.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSAMETERREADING','PLUSASAONOFF','METERREADING','assetnum in (select assetnum from asset where assetid = :assetid) and readingdate <= :asofdate','Relationship to find the Asset Meter Readings that existed at the As Of Date.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

COMMIT
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.plusaca.PlusAFldCACatItem'
      WHERE OBJECTNAME = 'PLUSACACAT'
            AND ATTRIBUTENAME = 'ITEM'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.plusaca.PlusAFldCACatItem'
      WHERE OBJECTNAME = 'PLUSACACAT'
            AND ATTRIBUTENAME = 'ITEM'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSAANBDISTATUS'
            AND ATTRIBUTENAME = 'PLUSAANBDISTATUSID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSAANBDISTATUS'
            AND ATTRIBUTENAME = 'PLUSAANBDISTATUSID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSAANTRAN'
            AND ATTRIBUTENAME = 'PLUSAANTRANID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSAANTRAN'
            AND ATTRIBUTENAME = 'PLUSAANTRANID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACACATSR'
            AND ATTRIBUTENAME = 'PLUSACACATSRID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACACATSR'
            AND ATTRIBUTENAME = 'PLUSACACATSRID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACAXMASTERPM'
            AND ATTRIBUTENAME = 'PLUSACAXMASTERPMID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACAXMASTERPM'
            AND ATTRIBUTENAME = 'PLUSACAXMASTERPMID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'PLUSACMAPPLEID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'PLUSACMAPPLEID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'PLUSACMBUILDID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'PLUSACMBUILDID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACMBUILDITEM'
            AND ATTRIBUTENAME = 'PLUSACMBUILDITEMID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACMBUILDITEM'
            AND ATTRIBUTENAME = 'PLUSACMBUILDITEMID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'PLUSACMCONFIGID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'PLUSACMCONFIGID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACMFLAG'
            AND ATTRIBUTENAME = 'PLUSACMFLAGID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACMFLAG'
            AND ATTRIBUTENAME = 'PLUSACMFLAGID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACMFORMULA'
            AND ATTRIBUTENAME = 'PLUSACMFORMULAID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACMFORMULA'
            AND ATTRIBUTENAME = 'PLUSACMFORMULAID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACMLABEL'
            AND ATTRIBUTENAME = 'PLUSACMLABELID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACMLABEL'
            AND ATTRIBUTENAME = 'PLUSACMLABELID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACMPATH'
            AND ATTRIBUTENAME = 'PLUSACMPATHID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACMPATH'
            AND ATTRIBUTENAME = 'PLUSACMPATHID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'PLUSACMREVISIONID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'PLUSACMREVISIONID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACMSTEP'
            AND ATTRIBUTENAME = 'PLUSACMSTEPID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACMSTEP'
            AND ATTRIBUTENAME = 'PLUSACMSTEPID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACMVBUILDITEM'
            AND ATTRIBUTENAME = 'PLUSACMBUILDITEMID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACMVBUILDITEM'
            AND ATTRIBUTENAME = 'PLUSACMBUILDITEMID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACMXCAT'
            AND ATTRIBUTENAME = 'PLUSACMXCATID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSACMXCAT'
            AND ATTRIBUTENAME = 'PLUSACMXCATID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSALFCNTOFFSET'
            AND ATTRIBUTENAME = 'PLUSALFCNTOFFSETID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSALFCNTOFFSET'
            AND ATTRIBUTENAME = 'PLUSALFCNTOFFSETID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSALFDEFERRAL'
            AND ATTRIBUTENAME = 'PLUSALFDEFERRALID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSALFDEFERRAL'
            AND ATTRIBUTENAME = 'PLUSALFDEFERRALID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'PLUSALFEVENTID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'PLUSALFEVENTID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSALFEVTOFFSET'
            AND ATTRIBUTENAME = 'PLUSALFEVTOFFSETID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSALFEVTOFFSET'
            AND ATTRIBUTENAME = 'PLUSALFEVTOFFSETID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSALFPMACTION'
            AND ATTRIBUTENAME = 'PLUSALFPMACTIONID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSALFPMACTION'
            AND ATTRIBUTENAME = 'PLUSALFPMACTIONID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSANBDIMAPPING'
            AND ATTRIBUTENAME = 'PLUSANBDIMAPPINGID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSANBDIMAPPING'
            AND ATTRIBUTENAME = 'PLUSANBDIMAPPINGID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSASAASSETCAT'
            AND ATTRIBUTENAME = 'PLUSASAASSETCATID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSASAASSETCAT'
            AND ATTRIBUTENAME = 'PLUSASAASSETCATID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSASAASSETSN'
            AND ATTRIBUTENAME = 'PLUSASAASSETSNID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSASAASSETSN'
            AND ATTRIBUTENAME = 'PLUSASAASSETSNID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSASADEFERRAL'
            AND ATTRIBUTENAME = 'PLUSASADEFERRALID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSASADEFERRAL'
            AND ATTRIBUTENAME = 'PLUSASADEFERRALID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSASAEICONFIG'
            AND ATTRIBUTENAME = 'PLUSASAEICONFIGID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSASAEICONFIG'
            AND ATTRIBUTENAME = 'PLUSASAEICONFIGID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSASAEIREG'
            AND ATTRIBUTENAME = 'PLUSASAEIREGID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSASAEIREG'
            AND ATTRIBUTENAME = 'PLUSASAEIREGID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'PLUSASAONOFFID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'PLUSASAONOFFID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSASAPMACTION'
            AND ATTRIBUTENAME = 'PLUSASAPMACTIONID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSASAPMACTION'
            AND ATTRIBUTENAME = 'PLUSASAPMACTIONID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSASAVASSET'
            AND ATTRIBUTENAME = 'ASSETID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSASAVASSET'
            AND ATTRIBUTENAME = 'ASSETID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSATRASSET'
            AND ATTRIBUTENAME = 'PLUSATRASSETID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSATRASSET'
            AND ATTRIBUTENAME = 'PLUSATRASSETID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSATRASSETSTAT'
            AND ATTRIBUTENAME = 'PLUSATRASSETSTATID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSATRASSETSTAT'
            AND ATTRIBUTENAME = 'PLUSATRASSETSTATID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSATRBUILD'
            AND ATTRIBUTENAME = 'PLUSATRBUILDID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSATRBUILD'
            AND ATTRIBUTENAME = 'PLUSATRBUILDID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSATRBUILDITEM'
            AND ATTRIBUTENAME = 'PLUSATRBUILDITEMID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSATRBUILDITEM'
            AND ATTRIBUTENAME = 'PLUSATRBUILDITEMID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSATRCAT'
            AND ATTRIBUTENAME = 'PLUSATRCATID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSATRCAT'
            AND ATTRIBUTENAME = 'PLUSATRCATID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'PLUSATREVENTID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'PLUSATREVENTID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSATRMODEL'
            AND ATTRIBUTENAME = 'PLUSATRMODELID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSATRMODEL'
            AND ATTRIBUTENAME = 'PLUSATRMODELID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSATRSTATUS'
            AND ATTRIBUTENAME = 'PLUSATRSTATUSID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSATRSTATUS'
            AND ATTRIBUTENAME = 'PLUSATRSTATUSID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 2
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'PLUSACACATID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 2
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'PLUSACACATID'
;

UPDATE MAXATTRIBUTE
      SET LENGTH = 12
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'INDENTURE'
;

UPDATE MAXATTRIBUTECFG
      SET LENGTH = 12
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'INDENTURE'
;

UPDATE MAXATTRIBUTE
      SET LENGTH = 12
      WHERE OBJECTNAME = 'PLUSAVHIGHERPART'
            AND ATTRIBUTENAME = 'INDENTURE'
;

UPDATE MAXATTRIBUTECFG
      SET LENGTH = 12
      WHERE OBJECTNAME = 'PLUSAVHIGHERPART'
            AND ATTRIBUTENAME = 'INDENTURE'
;

UPDATE MAXATTRIBUTE
      SET MAXTYPE = 'ALN'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'COMMENTS'
;

UPDATE MAXATTRIBUTECFG
      SET MAXTYPE = 'ALN'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'COMMENTS'
;

UPDATE MAXATTRIBUTE
      SET LENGTH = 10
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'ACTIVETIME'
;

UPDATE MAXATTRIBUTECFG
      SET LENGTH = 10
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'ACTIVETIME'
;

UPDATE MAXATTRIBUTE
      SET LENGTH = 12
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'REVISION'
;

UPDATE MAXATTRIBUTECFG
      SET LENGTH = 12
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'REVISION'
;

UPDATE MAXATTRIBUTE
      SET LENGTH = 12
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'REVISION'
;

UPDATE MAXATTRIBUTECFG
      SET LENGTH = 12
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'REVISION'
;

UPDATE MAXATTRIBUTE
      SET MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSACACATSR'
            AND ATTRIBUTENAME = 'CATID'
;

UPDATE MAXATTRIBUTECFG
      SET MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSACACATSR'
            AND ATTRIBUTENAME = 'CATID'
;

UPDATE MAXATTRIBUTE
      SET MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSACAXMASTERPM'
            AND ATTRIBUTENAME = 'CATID'
;

UPDATE MAXATTRIBUTECFG
      SET MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSACAXMASTERPM'
            AND ATTRIBUTENAME = 'CATID'
;

UPDATE MAXATTRIBUTE
      SET SAMEASATTRIBUTE = 'PLUSACMBUILDID'
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'BUILDID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASATTRIBUTE = 'PLUSACMBUILDID'
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'BUILDID'
;

UPDATE MAXATTRIBUTE
      SET SAMEASATTRIBUTE = 'PLUSACMCONFIGID'
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'CONFIGID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASATTRIBUTE = 'PLUSACMCONFIGID'
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'CONFIGID'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = NULL, SAMEASATTRIBUTE = NULL
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'HASLD1'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = NULL, SAMEASATTRIBUTE = NULL
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'HASLD1'
;

UPDATE MAXATTRIBUTE
      SET SAMEASATTRIBUTE = 'DESCRIPTION'
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'ITEMDESCRIPTION'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASATTRIBUTE = 'DESCRIPTION'
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'ITEMDESCRIPTION'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = NULL, SAMEASATTRIBUTE = NULL, ENTITYNAME = NULL
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'ITEMDESCRIPTION_LONGDESCRIPTION'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = NULL, SAMEASATTRIBUTE = NULL, ENTITYNAME = NULL
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'ITEMDESCRIPTION_LONGDESCRIPTION'
;

UPDATE MAXATTRIBUTE
      SET SAMEASATTRIBUTE = 'DESCRIPTION'
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'MODELDESCRIPTION'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASATTRIBUTE = 'DESCRIPTION'
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'MODELDESCRIPTION'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = NULL, SAMEASATTRIBUTE = NULL, ENTITYNAME = NULL
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'MODELDESCRIPTION_LONGDESCRIPTION'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = NULL, SAMEASATTRIBUTE = NULL, ENTITYNAME = NULL
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'MODELDESCRIPTION_LONGDESCRIPTION'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSACMMODEL', SAMEASATTRIBUTE = 'PLUSACMMODELID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSAVPATHCHILDM'
            AND ATTRIBUTENAME = 'BUILDMODELID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSACMMODEL', SAMEASATTRIBUTE = 'PLUSACMMODELID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSAVPATHCHILDM'
            AND ATTRIBUTENAME = 'BUILDMODELID'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSACMMODEL', SAMEASATTRIBUTE = 'PLUSACMMODELID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSAVPATHCHILDM'
            AND ATTRIBUTENAME = 'PATHMODELID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSACMMODEL', SAMEASATTRIBUTE = 'PLUSACMMODELID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSAVPATHCHILDM'
            AND ATTRIBUTENAME = 'PATHMODELID'
;

UPDATE MAXATTRIBUTE
      SET MAXTYPE = 'UPPER'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'REQUIRED'
;

UPDATE MAXATTRIBUTECFG
      SET MAXTYPE = 'UPPER'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'REQUIRED'
;

UPDATE MAXATTRIBUTE
      SET MAXTYPE = 'UPPER'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'TYPE'
;

UPDATE MAXATTRIBUTECFG
      SET MAXTYPE = 'UPPER'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'TYPE'
;

UPDATE MAXATTRIBUTE
      SET LENGTH = 12
      WHERE OBJECTNAME = 'ASSET'
            AND ATTRIBUTENAME = 'PLUSAREVISION'
;

UPDATE MAXATTRIBUTECFG
      SET LENGTH = 12
      WHERE OBJECTNAME = 'ASSET'
            AND ATTRIBUTENAME = 'PLUSAREVISION'
;

--*[300108]Translation Ratio: 100% (226/226 statements were translated successfully)
