/*
	Script By: JOSH HOLCOMB
	Date Submitted: Wed Oct 29, 2008
	Project Name: MAXIMOCM
	Description : view for distinct position lookup list
	Index Change: YES
*/

/************** Freeform Txn -- Create PLUSAVPOSITIONS relationship **************/

insert into MAXRELATIONSHIP (name, parent, child, whereclause, remarks, MAXRELATIONSHIPID) values ('PLUSAVPOSITIONS', 'PLUSACMMODEL', 'PLUSAVPOSITIONS', '', 'Relationship to the PLUSAVPOSITIONS view, used to distinct list of build positions', NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

/************** Freeform Txn -- PlusACMVBuild **************/

insert into maxobject
(objectname, classname, description,eauditenabled, eauditfilter, entityname,
esigfilter, extendsobject, isview, imported,
persistent, servicename, siteorgtype,userdefined,mainobject,internal,maxobjectid)
 select 
'PLUSAVPOSITIONS','psdi.plusa.app.plusacm.PlusAVPositionSet','Distinct Build Position View',eauditenabled, eauditfilter,'PLUSAVPOSITIONS',esigfilter,'PLUSACMBUILD',1,imported,persistent, servicename, siteorgtype,userdefined,mainobject,internal,NEXTVAL FOR MAXOBJECTSEQ from maxobject where objectname='PLUSACMBUILD'
;

insert into maxobjectcfg
(objectname, classname, description,eauditenabled, eauditfilter, entityname,
esigfilter, extendsobject, isview, imported,
persistent, servicename, siteorgtype,userdefined,changed,mainobject,internal,maxobjectid)
 select 
'PLUSAVPOSITIONS','psdi.plusa.app.plusacm.PlusAVPositionSet','Distinct Build Position View',eauditenabled, eauditfilter,'PLUSAVPOSITIONS',esigfilter,'PLUSACMBUILD',1,imported,persistent, servicename, siteorgtype,userdefined,changed,mainobject,internal,NEXTVAL FOR MAXOBJECTCFGSEQ from maxobjectcfg where objectname='PLUSACMBUILD'
;

insert into maxattribute
 (objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
  isldowner,sameasobject, sameasattribute,mustbe,
	ispositive,remarks,defaultvalue,title,
	primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,mlsupported,mlinuse,maxattributeid)
 select 
'PLUSAVPOSITIONS', attributename,'PLUSAVPOSITIONS',attributename, alias, autokeyname,1,maxtype,length,scale,required,
  isldowner,sameasobject, sameasattribute,mustbe,
	ispositive,remarks,defaultvalue,title,
	primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,mlsupported,mlinuse,NEXTVAL FOR MAXATTRIBUTESEQ from maxattribute where objectname='PLUSACMBUILD' and attributename='POSITION'
;

insert into maxattributecfg
 (objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
  isldowner,sameasobject, sameasattribute,mustbe,
	ispositive,remarks,defaultvalue,title,
	primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,changed,searchtype,mlsupported,mlinuse,maxattributeid)
 select 
'PLUSAVPOSITIONS', attributename,'PLUSAVPOSITIONS',attributename, alias, autokeyname,1,maxtype,length,scale,required,
  isldowner,sameasobject, sameasattribute,mustbe,
	ispositive,remarks,defaultvalue,title,
	primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,changed,searchtype,mlsupported,mlinuse,NEXTVAL FOR MAXATTRIBUTECFGSEQ from maxattributecfg where objectname='PLUSACMBUILD' and attributename='POSITION'
;

insert into maxview
 (viewname, autoselect, viewselect,viewwhere,viewfrom,maxviewid)
 values(
'PLUSAVPOSITIONS',0,'select distinct position','position is not null','PLUSACMBUILD',NEXTVAL FOR MAXVIEWSEQ)
;

insert into maxviewcfg
 (viewname, autoselect, viewselect,viewwhere,viewfrom,maxviewid)
 values(
'PLUSAVPOSITIONS',0,'select distinct position','position is not null','PLUSACMBUILD',NEXTVAL FOR MAXVIEWCFGSEQ)
;

insert into maxviewcolumn
 (viewname, viewcolumnname, samestorageas,tablename, tablecolumnname,maxviewcolumnid)
 select 
'PLUSAVPOSITIONS',attributename, null,entityname, columnname,NEXTVAL FOR MAXVIEWCOLUMNSEQ from maxattribute where objectname='PLUSACMBUILD' and attributename in ('POSITION')
;

insert into maxviewcolumncfg
 (viewname, viewcolumnname, samestorageas,tablename, tablecolumnname, changed, maxviewcolumnid)
 select 
'PLUSAVPOSITIONS',attributename, null,entityname, columnname, changed, NEXTVAL FOR MAXVIEWCOLUMNCFGSEQ from maxattributecfg where objectname='PLUSACMBUILD' and attributename in ('POSITION')
;

commit
;