--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'assetnum in (select assetnum from asset where assetid = :topassetid) and plusaanchordate is not null'
      WHERE NAME = 'TOPASSETMETER'
            AND PARENT = 'PLUSASAONOFF'
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSASANONSERIAL','PLUSASAONOFF','PLUSASANONSERIAL','onoffid = :plusasaonoffid and transtime <= :asofdate','Relationship to the PlusASANonSerial table, used to get the Transaction Details for a PlusASAOnOff record.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PERSON','PLUSASANONSERIAL','PERSON','personid = :personid','Relationship to the Person table, used to find who entered the record.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('INSTALLTOPASSETMETER','PLUSASAONOFF','ASSETMETER','assetnum in (select assetnum from asset where assetid = :topassetid) and plusaanchordate is not null','Relationship to find the Asset Meter associated with the Top Asset.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('REMOVETOPASSETMETER','PLUSASAONOFF','ASSETMETER','assetnum in (select assetnum from asset where assetid = :topassetid) and plusaanchordate is not null','Relationship to find the Asset Meter associated with the Top Asset.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','QUANTITY',NULL,NULL,'QUANTITY',NULL,41,'INTEGER',12,0,0,0,'PLUSASANONSERIAL','QUANTITY',1,0,'The sum of Installs and Removes for the Build Position',NULL,'Quantity',NULL,0,0,NULL,'psdi.plusa.app.plusasa.PlusAFldSAOnOffQuantity',0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','QUANTITY',NULL,NULL,'QUANTITY',NULL,41,'INTEGER',12,0,0,0,'PLUSASANONSERIAL','QUANTITY',1,0,'The sum of Installs and Removes for the Build Position',NULL,'Quantity',NULL,0,0,NULL,'psdi.plusa.app.plusasa.PlusAFldSAOnOffQuantity',0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.plusasa.PlusAFldSAOnOffTransactionDate'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'TRANSACTIONDATE'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.plusasa.PlusAFldSAOnOffTransactionDate'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'TRANSACTIONDATE'
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASANONSERIAL','ITEM',NULL,NULL,'ITEM',NULL,12,'UPPER',200,0,1,0,'PLUSACACAT','ITEM',0,0,'CM Item',NULL,'CM Item',NULL,0,0,NULL,'psdi.plusa.app.plusasa.PlusAFldSANonSerialItem',0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASANONSERIAL','WONUM',NULL,NULL,'WONUM',NULL,990,'UPPER',10,0,0,0,'WORKORDER','WONUM',0,0,'Workorder',NULL,'Workorder',NULL,0,0,NULL,'psdi.plusa.app.plusasa.PlusAFldSANonSerialWONum',0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASANONSERIAL','ITEM',NULL,NULL,'ITEM',NULL,12,'UPPER',200,0,1,0,'PLUSACACAT','ITEM',0,0,'CM Item',NULL,'CM Item',NULL,0,0,NULL,'psdi.plusa.app.plusasa.PlusAFldSANonSerialItem',0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASANONSERIAL','WONUM',NULL,NULL,'WONUM',NULL,990,'UPPER',10,0,0,0,'WORKORDER','WONUM',0,0,'Workorder',NULL,'Workorder',NULL,0,0,NULL,'psdi.plusa.app.plusasa.PlusAFldSANonSerialWONum',0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

--*[300108]Translation Ratio: 88.89% (16/18 statements were translated successfully)
